#version 150

uniform mat4 gModel, gView, gProjection;

in vec3 vPosition;
in vec3 inColor;
out vec4 Color;

void
main()
{
	mat4 MVP = gProjection * gView * gModel;
    gl_Position = MVP * vec4(vPosition, 1);
	Color = vec4(inColor, 1);
}